diff -Naur ti99sim-0.16.0/scripts/setup ti99sim-0.16.0.patched/scripts/setup
--- ti99sim-0.16.0/scripts/setup	2020-05-25 16:52:23.000000000 -0400
+++ ti99sim-0.16.0.patched/scripts/setup	2023-04-29 02:32:53.326030933 -0400
@@ -1,15 +1,18 @@
 #!/bin/sh
 
+CWD="$1"
+OUTDIR="$2"
+
 root=`dirname $0`
 root=`dirname $root`
 root=`readlink -f $root`
 
-tmpdir=$(mktemp -d)
+TMPDIR=`pwd` tmpdir=$(mktemp -d)
 cd $tmpdir
 
-wget http://ftp.whtech.com/System%20ROMs/MAME/pre_0.174/ti99_complete.zip
-wget http://ftp.whtech.com/System%20ROMs/MAME/ti99_gkracker.zip
-wget http://ftp.whtech.com/emulators/mess/mess_modules.zip
+cp "$CWD"/ti99_complete.zip .
+cp "$CWD"/ti99_gkracker.zip .
+cp "$CWD"/mess_modules.zip .
 
 unzip -oq ti99_complete ti99_4a.zip
 unzip -oq ti99_complete ti99_4qi.zip
@@ -33,33 +36,16 @@
 $root/bin/convert-ctg $root/roms/ti-disk.dat
 $root/bin/convert-ctg $root/roms/ti-pcard.dat
 
-mkdir -p ~/.ti99sim
-
-if [ -d /home/pi/RetroPie ]; then
-	if [ ! -d ~/.ti99sim/console ]; then
-		mkdir -p /home/pi/RetroPie/BIOS/ti99
-		ln -s /home/pi/RetroPie/BIOS/ti99 ~/.ti99sim/console
-	fi
-	if [ ! -d ~/.ti99sim/cartridges ]; then
-		mkdir -p /home/pi/RetroPie/roms/ti99
-		ln -s /home/pi/RetroPie/roms/ti99 ~/.ti99sim/cartridges
-	fi
-fi
-
-mkdir -p ~/.ti99sim/console
-mkdir -p ~/.ti99sim/cartridges
-mkdir -p ~/.ti99sim/disks
-
-if [ ! -f ~/.ti99sim/disks/image.cf7 ]; then
+if [ ! -f $OUTDIR/disks/image.cf7 ]; then
 	tmpdisk=$(mktemp -uq)
 	$root/bin/disk --create=sssd $tmpdisk > /dev/null
 	$root/bin/disk --output=cf7+ --filename=image.cf7#32 $tmpdisk > /dev/null
 	rm $tmpdisk
-	mv image.cf7 ~/.ti99sim/disks
+	mv image.cf7 $OUTDIR/disks
 fi
 
-mv -n *ctg ~/.ti99sim/console
-mv -n spchrom.bin ~/.ti99sim/console
+mv -n *ctg $OUTDIR/console
+mv -n spchrom.bin $OUTDIR/console
 
 unzip -oq mess_modules -d roms
 mv roms/minimem*.bin .
@@ -67,7 +53,7 @@
 $root/bin/convert-ctg $root/roms/mini-memory.dat
 $root/bin/mkcart roms
 
-mv -n *ctg ~/.ti99sim/cartridges
+mv -n *ctg $OUTDIR/cartridges
 
 cd -
 
